diff --git a/CHANGELOG b/CHANGELOG
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -1,3 +1,15 @@
+Darcs 2.12.2, 7 September 2016
+
+ * fix missing testsuite file in tarball (Guillaume Hoffmann)
+
+
+Darcs 2.12.1, 5 September 2016
+
+ * fix building with GHC 8
+ * drop support for GHC 7.6 and 7.8, i.e., require GHC 7.10
+ * improvements in `darcs whatsnew` output with irrelevant files (Ben Franksen)
+
+
 Darcs 2.12.0, 29 April 2016
 
  * `darcs show dependencies`: export patch dependency graph as dot file (Ale Gadea)
diff --git a/darcs.cabal b/darcs.cabal
--- a/darcs.cabal
+++ b/darcs.cabal
@@ -1,5 +1,5 @@
 Name:           darcs
-version:        2.12.1
+version:        2.12.2
 License:        GPL
 License-file:   COPYING
 Author:         David Roundy <droundy@darcs.net>, <darcs-devel@darcs.net>
@@ -54,16 +54,15 @@
   -- testsuite
   tests/data/*.tgz tests/data/README
   tests/data/*.dpatch
+  tests/data/example_binary.png
   tests/data/convert/darcs1/*.dpatch tests/data/convert/darcs2/*.dpatch
   tests/*.sh
-  tests/bin/renameHelper.hs
-  tests/bin/trackdown-bisect-helper.hs
-  tests/bin/hspwd.hs
+  tests/README.test_maintainers.txt
+  tests/bin/*.hs
+  tests/network/sshlib
   tests/network/*.sh
   tests/lib
-  tests/data/example_binary.png
   harness/hstestdata.zip
-  tests/README.test_maintainers.txt
 
   GNUmakefile
 
diff --git a/release/distributed-context b/release/distributed-context
--- a/release/distributed-context
+++ b/release/distributed-context
@@ -1,1 +1,1 @@
-Just "\nContext:\n\n[TAG 2.12.1\nGuillaume Hoffmann <guillaumh@gmail.com>**20160905184637\n Ignore-this: 4602b738424e50dc6f9577bc07833dd0\n] \n"
+Just "\nContext:\n\n[TAG 2.12.2\nGuillaume Hoffmann <guillaumh@gmail.com>**20160907155850\n Ignore-this: 663fb3cac9f0bba134bf7435ffc1c7b6\n] \n"
diff --git a/src/Darcs/UI/Commands/Help.hs b/src/Darcs/UI/Commands/Help.hs
--- a/src/Darcs/UI/Commands/Help.hs
+++ b/src/Darcs/UI/Commands/Help.hs
@@ -359,8 +359,7 @@
 
 markdownLines :: [String]
 markdownLines =
- [ "Darcs " ++ version, ""
- , "# Commands", ""
+ [ "# Commands", ""
  , unlines commands
  , "# Environment variables"
  , "", unlines environment
diff --git a/tests/network/issue1932-remote.sh b/tests/network/issue1932-remote.sh
--- a/tests/network/issue1932-remote.sh
+++ b/tests/network/issue1932-remote.sh
@@ -24,6 +24,7 @@
 ## SOFTWARE.
 
 . lib                           # Load some portability helpers.
+. sshlib
 
 # Colons could be in repo names and in file name.
 # Colon in repo name is an indication of special case - remote repo.
diff --git a/tests/network/sshlib b/tests/network/sshlib
new file mode 100644
--- /dev/null
+++ b/tests/network/sshlib
@@ -0,0 +1,41 @@
+if [ x${REMOTE_DIR} = x ]; then
+  REMOTE_DIR=/tmp/darcs-ssh-test
+fi
+
+if [ x"${USE_PUTTY}" != x ]; then
+  DARCS_SSH=plink
+  export DARCS_SSH
+  DARCS_SCP=pscp
+  export DARCS_SCP
+  DARCS_SFTP=psftp
+  export DARCS_SFTP
+fi
+
+if [ x"${USE_CONTROL_MASTER}" != x ]; then
+  DARCS_SSH_FLAGS="--ssh-cm"
+  export DARCS_SSH_FLAGS
+fi
+
+if [ x"${DARCS_SSH}" = x ]; then
+  SSH=ssh
+else
+  SSH=${DARCS_SSH}
+fi
+
+rm -rf tempssh
+mkdir tempssh
+cd tempssh
+
+cleanup () {
+  cd ..
+  rm -rf tempssh
+}
+
+if [ x${REMOTE} = x ]; then
+  REMOTE=$(whoami)@localhost
+fi
+
+# vim: syntax=sh:
+
+# test if we can connect via ssh, otherwise skip test
+${SSH} ${REMOTE} true || exit 200
